Bug 1774344 - "Unable to upgrade to Fedora 31: Error running transaction: file /usr/lib/python3.7/site-packages/mypy/typeshed from install of python3-mypy-0.730-2.fc31.noarch conflicts with file from package python3-mypy-0.670-1.fc30.noarch" preventing upgrade to 31
Summary: "Unable to upgrade to Fedora 31: Error running transaction: file /usr/lib/pyt...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-mypy_extensions
Version: 30
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-20 04:53 UTC by Dane Kirkendall
Modified: 2020-05-26 17:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:57:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Dane Kirkendall 2019-11-20 04:53:18 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Dane Kirkendall 2019-11-25 14:44:35 UTC
The above text appears every time I try to upgrade to Fedora 31 from 30 using both the upgrade feature in Software and via Command Line.

Comment 2 Andrej Kvasnica 2019-11-29 16:12:34 UTC
In my case the root problem seems to be within the thonny-3.1.1-1.fc30.noarch (Python IDE for beginners) from f30.
It depends on this python3-mypy-0.670-1.fc30.noarch.

In fedora 31 there is the same thonny-3.1.1-1.fc30.noarch but it depends on python3-mypy-0.740-2.fc31.noarch.
The thonny package was not upgraded (because it's the same?) but the new deps were requested (?) and it makes that conflict.

Removing thonny in f30, upgrading and installing thonny back in f31 solves the problem.

f30: http://rpmfind.net/linux/RPM/fedora/30/x86_64/t/thonny-3.1.1-1.fc30.noarch.html
f31: http://rpmfind.net/linux/RPM/fedora/31/x86_64/t/thonny-3.1.1-1.fc30.noarch.html

Comment 3 Ben Cotton 2020-04-30 20:40:30 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-05-26 17:57:02 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.